/*
Theme Name: sakaesangyou5055
Theme URI:
Template: lightning
Description:
Author:
Tags:
Version: 0.6.1
*/
/* Common */
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;500;700&display=swap");

body {
    font-family: "Noto Sans JP", sans-serif;
}
html {
  scroll-behavior: smooth;
}
.site-header {
	background: #0070C0;
}
.global-nav-list>li>a {
	color: #fff;
}
.container.site-footer-content {
	max-width: 100%;
}
.page_top_btn {
	width: 50px;
	height: 50px;
	background-color: #00335C;
	border-radius: 40px;
	box-shadow: none;
}
.page-header {
	background: url(https://sakaesangyo5055.jp/cms_skesng5/wp-content/uploads/title_bg.jpg) 
		0 0 
		no-repeat;
	background-size: cover;
}
.site-body h2.wp-block-heading {
	margin-block-end: 0 !important;
	padding: 3rem 0;
	border-top: solid 2px #0070C0;
	text-align: center;
}
.site-body .has-small-font-size {
	font-size: 16px !important;
}
.wp-block-table td,
.wp-block-table th {
	padding: 1rem;
}
/* Footer */
.site-footer a {
	display: inline-block;
	margin-top: 1rem;
	padding: 0.5rem 3rem;
	background: #0070C0;
	border-radius: 5px;
	color: #fff;
}
/* 中身を縦横中央寄せ */
.site-footer .col-lg-4 {
    display: flex;
    flex-direction: column;
    justify-content: center;  /* 縦中央 */
    align-items: center;      /* 横中央 */
    min-height: 200px;
    text-align: center;
}
.site-footer aside,
.site-footer .col-lg-4 h2,
.site-footer .col-lg-4 p {
	margin: 0 auto;
}
/* PC大画面（lg以上）で 50% / 50% / 100% にする */
@media (min-width: 992px) {
    footer .row > .col-lg-4:nth-child(1),
    footer .row > .col-lg-4:nth-child(2) {
        flex: 0 0 50% !important;
        max-width: 50% !important;
    }
    footer .row > .col-lg-4:nth-child(3) {
        flex: 0 0 100% !important;
        max-width: 100% !important;
    }
}

/* 背景画像 */
footer .row > .col-lg-4:nth-child(1) {
  position: relative;
  z-index: 0;
}
footer .row > .col-lg-4:nth-child(1):before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
    background: url(https://sakaesangyo5055.jp/cms_skesng5/wp-content/uploads/d8565674dc67e72c06108db76c8a79e6-e1764228527504.jpeg)
        no-repeat
        0 center;
  background-size: cover;
  background-position: center;
  opacity: 0.4;
  z-index: -1;
}
footer .row > .col-lg-4:nth-child(2) {
  position: relative;
  z-index: 0;
}
footer .row > .col-lg-4:nth-child(2):before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
    background: url(https://sakaesangyo5055.jp/cms_skesng5/wp-content/uploads/services_doboku_01.jpg)
        no-repeat
        0 center;
  background-size: cover;
  background-position: center;
  opacity: 0.4;
  z-index: -1;
}
footer .row > .col-lg-4:nth-child(3) {
  position: relative;
  z-index: 0;
}
footer .row > .col-lg-4:nth-child(3):before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
    background: url(https://sakaesangyo5055.jp/cms_skesng5/wp-content/uploads/footer_contact-1.jpg)
        no-repeat
        0 center;
  background-size: cover;
  background-position: center;
  opacity: 0.4;
  z-index: -1;
}

/* md以上で高さを揃える */
@media (min-width: 768px) {
    footer .row > .col-lg-4 {
        min-height: 400px;
    }
}
/* 投稿前後ナビゲーション */
.vk_posts.next-prev {
	display: none;
}
/* HOME */
.home .wp-block-group {
	padding: 85px 0;
}
.home #hero.wp-block-cover {
	padding: 0;
}
.home #hero .wp-block-cover__inner-container {
	max-width: 740px;
	padding: 60px;
	display: block;
	background-color: rgba(255, 255, 255, 0.7);
}
.home #hero .wp-block-cover__inner-container p strong {
	font-size: 36px;
	font-weight: normal;
}
.home #hero .wp-block-cover__inner-container p.has-regular-font-size {
	font-size: 20px !important;
	text-align: left;
}
.home #case .wp-block-latest-posts__post-title {
	display: block;
	text-align: center;
}
/* --- PC（768px以上）だけ適用 --- */
@media (min-width: 768px) {
  /* li を横並びに */
  .wp-block-latest-posts__list.has-dates li {
    display: flex;
    align-items: center;
    gap: 0.8em; /* 間隔の調整 */
  }

  /* 日付を先にする */
  .wp-block-latest-posts__post-date {
    order: 1;
    white-space: nowrap;
  }

  /* タイトルを後にする */
  .wp-block-latest-posts__post-title {
    order: 2;
    white-space: nowrap;
  }
}
/* columns 全体で高さを揃える */
.home .wp-block-columns {
    align-items: stretch;
}

/* すべてのカラムで縦方向にテキストを中央揃え */
.home .wp-block-columns .wp-block-column {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
/* 沿革 */
/* --- 沿革タイムライン全体 --- */
.timeline {
  position: relative;
  padding-left: 40px;  /* 左に線＋丸のスペース */
}

/* 縦のグレーの線 */
.timeline::before {
  content: "";
  position: absolute;
  left: 14px;      /* 赤丸の中心に合わせる */
  top: 20px;
  bottom: 6px;
  width: 2px;
  background: #cccccc;
}

/* 1行分（年＋テキスト） */
.timeline-item {
  position: relative;
  padding: 12px 0;
}

/* 赤い丸 */
.timeline-item::before {
  content: "";
  position: absolute;
  left: -32px;       /* 丸の左位置（調整可） */
  top: 16px;       /* 年号の高さに合わせて微調整 */
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: #ff0000;
}

/* 年号と本文を横並びにする */
.timeline-year,
.timeline-text {
  display: inline-block;
  vertical-align: top;
  margin-block-end: 0 !important;
}

.timeline-year {
  width: 100px;     /* 年号の幅。文字数に合わせて調整 */
}

.timeline-text {
  padding-left: 10px;
  font-size: 14px;
}
@media (max-width: 768px) {
	.timeline-item.is-layout-flex {
		display: block !important;
	}
	.timeline-year,
	.timeline-text {
	  display: block;
	}
}
/* 見出しっぽくしたい行用 */
.timeline-text strong {
  font-size: 18px;
  font-weight: 700;
}
/* 採用情報 */
/* カラム5等分 */
/* カラムを5等分＆中央〜全幅に広げる */
.five-columns {
    display: flex;
    justify-content: space-between;
    width: 100%;
    gap: 20px;
}

.five-columns > .wp-block-group {
    flex: 0 0 calc(20% - 20px); /* 5等分 */
}
.page-id-36 .site-body h2:first-of-type,
.page-id-265 .site-body h2 {
	padding: 24px 0;
	border-top: 0;
}
.page-id-36 .site-body .info li {
	border-bottom: 0;
	text-align: center;
}
.page-id-36 .site-body .info li a {
	display: inline-block;
	border-bottom: solid 1px #0070C0;
	color: #0070C0;
	font-size: 22px;
	font-weight: bold;
	text-align: center;
}
.page-id-36 .site-body .fukuri figure {
	width: 100%;
	height: 141px;
	vertical-align: middle; /* ← 縦中央！ */
	text-align: center; 
}
/* 5カラムの矢印装飾 */
/* カードの親（5カラム）の中身がはみ出せるようにする */
.page-id-36 .five-columns,
.page-id-265 .foure-columns {
    overflow: visible;
}

/* 各カード自体もはみ出しOKにして、矢印の基準にする */
.page-id-36 .five-columns > .wp-block-group,
.page-id-265 .four-columns > .wp-block-group {
    position: relative;
    overflow: visible;
}
/* 応募フォーム */
/* カラム4等分 */
/* カラムを4等分＆中央〜全幅に広げる */
.four-columns {
    display: flex;
    justify-content: space-between;
    width: 100%;
    gap: 30px;
}

.four-columns > .wp-block-group {
    flex: 0 0 calc(25% - 30px); /* 5等分 */
}
/* フォーム共通 */
.smf-form em {
	display: inline-block;
	margin-left: 0.5rem;
	padding: 5px;
	background: #E40000;
	border-radius: 5px;
	color: #ffffff;
	font-size: 11px;
	font-weight:bold;
	font-style: normal;
	line-height: 1rem;s
}
/* -----------------------------------------  */
@media (min-width: 769px) {
	.page-header {
		min-height: 240px;
	}
/* 5カラムの矢印装飾 */
	.page-id-36 .five-columns > .wp-block-group::after {
	    content: "➡";
	    position: absolute;
	    left: -45px;          /* 矢印をカードの外側に出す量（調整OK） */
	    top: 50%;
	    transform: translateY(-50%);
	    font-size: 64px;
	    color: #f28c13;
	    font-weight: bold;
		z-index: 10;
	}
/* 4カラムの矢印装飾 */
	.page-id-265 .four-columns > .wp-block-group::after {
	    content: "➡";
	    position: absolute;
	    left: -64px;          /* 矢印をカードの外側に出す量（調整OK） */
	    top: 50%;
	    transform: translateY(-50%);
	    font-size: 64px;
	    color: #86CDFF;
	    font-weight: bold;
		z-index: 10;
	}
/* 最後のカードだけ矢印を消す */
	.page-id-36 .five-columns > .wp-block-group:first-child::after,
	.page-id-265 .four-columns > .wp-block-group:first-child::after {
	    content: none;
	}
}
/* -----------------------------------------  */
@media (max-width: 768px) {
  .five-columns,
  .four-columns {
      flex-direction: column;
  }
  .five-columns > .wp-block-group,
  .four-columns > .wp-block-group {
      flex: 1 1 auto;
      width: 100%;
  }
/* 5カラムの矢印装飾 */
/* ▼ スマホで矢印を下向きにする（768px以下） */
    .page-id-36 .five-columns > .wp-block-group::after {
        content: "⬇"; /* 下向き矢印 */
        position: absolute;
        left: 50%;
        top: auto;
        bottom: -50px; /* カードの下に配置 */
        transform: translateX(-50%);
        font-size: 64px;  /* スマホに合わせたサイズ（調整OK） */
        color: #f28c13;
        font-weight: bold;
		z-index: 10;
    }
    /* 最初の矢印を消す（スマホでは1個目の上には矢印不要） */
    .page-id-36 .five-columns > .wp-block-group:last-child::after {
        content: none;
    }
    .page-id-36 .five-columns > .wp-block-group p {
		padding-bottom: 20px;
	}
    .page-id-36 .five-columns > .wp-block-group h3 {
		margin: 1rem auto 0.5rem;
	}
/* 4カラムの矢印装飾 */
/* ▼ スマホで矢印を下向きにする（768px以下） */
    .page-id-265 .four-columns > .wp-block-group::after {
        content: "⬇"; /* 下向き矢印 */
        position: absolute;
        left: 50%;
        top: auto;
        bottom: -60px; /* カードの下に配置 */
        transform: translateX(-50%);
        font-size: 64px;  /* スマホに合わせたサイズ（調整OK） */
		color: #86CDFF;
        font-weight: bold;
		z-index: 10;
    }
    /* 最初の矢印を消す（スマホでは1個目の上には矢印不要） */
    .page-id-265 .four-columns > .wp-block-group:last-child::after {
        content: none;
    }
}